Changelog of Qt-based Multimedia Player
--------------

Version 2.4.0
* added batch tag editor plugin (experimental)
* added built-in lyrics editor
* added feature to display album/artist in the extra title of the group
* added plugin priority settings
* added "OK" button in the track details dialog
* added "OK" and "Cancel" buttons in the settings dialog
* improved libqmmp/libqmmpui API:
  - added some implicit shared classes to reduce pointer manipulation
  - using PIMPL idiom
  - using move assignment constructors and operators
* improved simple user interface:
  - added dark mode support for playlist and visualization
  - added feature to hide status bar
  - reworked color settings
* improved wilmidi plugin:
  - using QIODevice-based input
  - added information about file format
  - added displaying of the libWildMidi version 
  - changed default sample rate to 48000 Hz
* improved lyrics plugin:
  - added feature to fetch lyrics by user request
  - reduced timeout
* added id3v2 tags support in the flac plugin
* added QIODevice-based input in the wavpack plugin
* added more information in the archive plugin
* added metadata settings in the shout plugin
* added WebM Opus support in the ffmeg plugin
* added some optimizations in the mpeg plugin
* added support for right modifiers under Windows in the hotkey plugin
* reduced memory usage in the hotkey plugin
* improved command-line support:
  - added "--pl-select", "--pl-create" and "--pl-delete" options
  - added support for playlist name as argument of the "--pl-dump",
    "--pl-clear" and "--pl-play" options
  - changed output of the "--pl-list" and "--pl-dump" options
* using QOpenGLFunctions class in the projectm plugin
* fixed projectM 4.x support
* updated Dutch translation (Heimen Stoffels)
* updated Finnish translation (Kimmo Kujansuu)
* updated Japanese translation (coolvitto)
* updated Polish translation (Marek Adamski)
* updated Russian translation (Andrei Stepanov)
* updated Korean translation (Jung Hee Lee)
* updated Italian translation (Luigi Toscano)

Version 2.3.3
* fixed build with PipeWire versions less than 0.3.50
* fixed settings dialog layout
* fixed default CUE encoding
* fixed possible null pointer dereference
* fixed tracks order when added using drag and drop
* fixed uninitialized structure usage
* improved sid plugin:
  - added libsidplayfp 3.0 support
  - added feature to build without residfp engine
  - fixed memory leak
  - fixed displaying audio information
* updated Japanese translation (coolvitto)

Version 2.3.2
* fixed preset path in the projectm plugin
* fixed determination of FLAC files with ID3v2 tags
* fixed DSD support in the ffmpeg plugin
* fixed some issues with CUE support
* fixed possible crash
* fixed build warnings
* fixed hotkey plugin
* improved pipewire plugin:
  - fixed delay calculation
  - increased buffer size
* updated German translation (Panagiotis Papadopoulos)

Version 2.3.1
* added IMA ADPCM support
* fixed grouping by parent directory
* fixed sorting by file name and path
* fixed detection of the PCM WAVE files with "JUNK",
  "bext" and "fact" chunks
* fixed color scheme change issues
* fixed drawing issues in the plugin list
* updated Chinese Simplified translation (Rain Ding)

Version 2.3.0
* added shared FFT implementation for visual plugins
* improved group mode:
  - using separate internal title for track grouping
  - automatically update group name when metadata is received
  - added feature to show group duration in the main title
* improved simple user interface:
  - added smooth scrolling
  - added hotkeys for seeking by 10/30/60 seconds
  - added feature to change status bar
  - added more information in the status bar
  - improved "View" menu
* improved skinned user interface:
  - added smooth scrolling
  - added hotkeys for seeking by 10/30/60 seconds
  - added feature to change skin install path
  - added feature to set random skin on startup
* improved mpeg plugin:
  - using MPG123 decoder by default
  - added feature to detect id3v1 tags charset by system locale
* added feature to reset streaming station name in playlist when playback
  is stopped
* added support for id3v2 tags in the sndfile plugin
* added disambiguation for some hotkey names
* added pkg-config support in the wildmidi plugin
* added popup widget for date selection in the history plugin
* renamed "Hotkey Plugin" to "X11 Hotkey Plugin" under Linux/FreeBSD 
* using QCache for cover art images
* using QDialogButtonBox where possible
* using portable shortcuts names in the configuration file
* improved CMake support
* improved Windows support:
  - using WASAPI as default output
  - using CMake for build
  - added qmmp-cli.exe application with command-line support
* renamed "Ok" button to "Close" in the ladspa plugin
* removed WildMidi 0.3.x support
* removed mplayer and mms plugins (moved to qmmp-plugin-pack)
* fixed command-line output formatting
* fixed displaying bits per sample in the ffmpeg plugin
* fixed IPC messages charset
* fixed issues with "--pl-help" and "--nowplaying-syntax" command-line
  options
* fixed audio channel map for WMA
* fixed retrieving song lyrics
* updated Dutch translation (Heimen Stoffels)
* updated Finnish translation (Kimmo Kujansuu)
* updated Italian translation (Luigi Toscano)
* updated Korean translation (Jung Hee Lee)
* updated Polish translation (Marek Adamski)
* updated Russian translation (Andrei Stepanov)
* updated Chinese Traditional translation (Edouard.J.K Li)

Version 2.2.8
* added AIFF-C support
* added libsidplayfp 2.15 support
* using 48 kHz sample rate by default in the sid plugin
* using https in the stream browser plugin
* updated Spanish translation (mad-soft)

Version 2.2.7
* added KWin rules for KDE6
* added display of volume when adjusting it with the mouse wheel in the
  skinned user interface
* fixed support for multi-line comments when saving and restoring a
  playlist
* fixed volume adjustment step when using mouse wheel
* fixed some clazy analyzer warnings
* fixed frequencies of the all spectrum analyzers
* fixed handling of the file open errors

Version 2.2.6
* using system scroll settings for playlists
* using stable order for keys in the playlists.txt file
* added support for float PCM format in the dsound and wasapi plugins
* fixed seeking from command-line
* fixed support for special keys in the shortcut editor dialog 
* fixed track index calculation
* fixed saving of the simple user interface settings when projectM
  visualization is enabled
* fixed possible crash in the library plugin
* fixed Chinese Traditional translation (Edouard.J.K Li)

Version 2.2.5
* fixed build without mpg123 or libmad
* fixed plugin path in the pkg-config file
* fixed "device not open" warning on first startup
* fixed skins installation
* fixed config dialog layout

Version 2.2.4
* added support for embedded cover art images in the mpris plugin
* added .ogg extension for more plugins
* fixed build with ProjectM 4.0 or higher
* fixed build with Qt 6.9
* fixed build with TagLib 2.0
* fixed cmake warning
* fixed filter list update
* fixed proxy URL
* using case insensitive search for ReplayGain tags in the ffmpeg plugin
  (thanks to anjanms)
* updated Chinese Traditional translation (Edouard.J.K Li)
* updated French translation (Nicolas PARLANT)

Version 2.2.3
* added simple WildMidi config validation
* added icon for the 'Repeat track' action
* updated AppStream metadata
* fixed build without X11 support
* fixed volume level notification
* fixed dts/ac3 support in the ffmpeg plugin
* fixed ignoring of the CUE data file with embedded CUE
* updated Korean translation (Jung Hee Lee)

Version 2.2.2
* added SIGTERM signal support
* added additional information in the "about..." dialog
* improved skin unpacking
* improved Windows support:
  - using 7-Zip archiver for skin unpacking
  - support for packed skins in tar.gz and tar.bz2 formats
  - 64-bit build support
  - mute support for wasapi and directsoud output plugins
* fixed double-click behavior of the file system viewer in the simple
  user interface
* fixed crash in the two-panel file dialog
* fixed playback starting from the file dialog (thanks to cybersnow_2001)
* updated Dutch translation (Heimen Stoffels)
* updated Finnish translation (Kimmo Kujansuu)
* updated Polish translation (Marek Adamski)
* updated Russian translation

Version 2.2.1
* fixed build regression
* fixed compatibility with Qt 6.2
* fixed "Always On Top" option for KDE/KWin in the skinned user interface
* improved simple user interface:
  - enabled floatable dock widgets under Wayland
  - disabled "Always on Top" option under Wayland
* updated Italian translation (Luigi Toscano)

Version 2.2.0
* added feature to stop playback after removing of the current track
* reworked playlist container
* reworked command-line parser
* improved codebase
* moved some duplicated code to the libqmmpui library
* improved simple user interface:
  - added feature to change group height
  - added feature to print cover art in the group
  - added feature to show extra information in the group
  - added feature to copy tracks between playlists
  - added tree view mode in the file browser
  - added feature to replace selected playlist from the file browser
  - added balance slider
  - allow to override group and current track colors when using system palette
  - renamed "Show Title Bars" action to "Block Floating Panels"
* improved skinned user interface:
  - added feature to change group height
  - added feature to print cover art in the group
  - added feature to show extra information in the group
  - improved color and font settings
  - fixed skin installation path
* improved xmp plugin:
  - added "Emulate sample loop bug" option
  - added "Use Paula mixer in Amiga modules" option
* added feature to replace selected playlist in the library plugin
* added feature to set buffer size in milliseconds in the http plugin
* added buffer size setting in the WASAPI plugin
* added "--debug" command-line option
* added feature to build cdaudio plugin without libcddb library
* disabled debug output by default
* fixed file type detection by content
* fixed ignoring of data file for large cue sheets
* fixed build under FreeBSD
* updated Dutch translation (Heimen Stoffels)
* updated Finnish translation (Kimmo Kujansuu)
* updated Polish translation (Marek Adamski)
* updated Russian translation (Andrei Stepanov)

Version 2.1.9
* fixed build with PipeWire version less than 0.3.33 (Thomas Lange)
* fixed displaying bitrate in the wavpack plugin
* disabled Qt 6.7 build warnings
* disabled waveform seekbar for CD tracks in the simple user interface

Version 2.1.8
* improved CUE parser
* fixed pkg-config files generated by qmake
* fixed memory leak
* fixed issue with missing mount points in the qmmp file dialog
* fixed unexpected startup of the disabled plugin when trying to change
  it's settings
* fixed linking with xcb
* fixed crash when trying to remove queued track
* fixed copying of the selected tracks to the new playlist
* fixed Wayland compatibility on first startup

Version 2.1.7
* using XWayland for skinned user interface
* using floating point output in the sndfile plugin
* fixed file type determination by content in the sndfile plugin
* fixed memory leak in the hotkey plugin
* fixed stream sample rate in the pipewire plugin
* fixed issue with KDE6 file dialog (Jonas Kvinge)

Version 2.1.6
* added TagLib 2.0 support
* fixed settings form in the simple user interface
* improved lyrics plugin:
  - fixed issue with URL formatting
  - updated lyrics providers
  - using UTF-8 for all lyrics providers
* updated Spanish translation (Darwin Toledo)

Version 2.1.5
* added waveform seekbar optimization (Linearithmik)
* fixed visualization initialization in the simple user interface
* fixed playlist geometry issues in the simple user interface
* fixed playlist settings in the skinned user interface
* fixed possible crash
* fixed http version
* fixed file type determination by content in the waveform seekbar

Version 2.1.4
* added projectM 4.0 support (experimental)
* rebuild skin cache if missing
* fixed command execution under Windows in the file operations plugin
* fixed removing of the current playing file in the file operations plugin
* fixed crash on streams in the lyrics plugin
* fixed issues with tabbar in the simple ui plugin
* fixed issues with visualization windows on application startup

Version 2.1.3
* fixed latest cURL API support
* fixed crash in the ladspa plugin (Linearithmik)
* fixed memory leak in the wavpack plugin
* fixed locale override under Windows
* fixed ADTS header detection in the aac plugin
* fixed error handling in the ffmpeg plugin
* fixed text scroller geometry in the skinned plugin
* hide empty plugin categories
* added partial Swedish translation (Luna Jernberg)

Version 2.1.2
* added FFmpeg 5.1 support
* added recursive search for presets in the projectm plugin
* added application icon in the pulseaudio plugin
* improved visualization synchronization
* fixed title formatting in the KDE notification plugin
* fixed "fact" chunks support in the sndfile plugin
* fixed embedded cover art support in the flac plugin
* fixed tag editor behavior
* fixed Russian translation
* updated Finnish translation (Kimmo Kujansuu)
* updated Spanish translation (Joel Barrios)

Version 2.1.1
* fixed skin selection setting
* fixed API documentation
* fixed udisks plugin build
* fixed Windows 10 support
* fixed portable mode under Windows
* fixed build with Qt 6.4
* fixed AppStream metadata (Matthias Mailänder)
* removed hal plugin
* updated Dutch translation (Heimen Stoffels)
* updated Galician translation (Delio Docampo Cordeiro)
* updated Korean translation (Jung Hee Lee)
* updated Polish transition (Marek Adamski)
* updated Portuguese translation (Sérgio Marques)
* updated Russian translation
* updated Finnish translation (Kimmo Kujansuu)
* updated Italian translation (Luigi Toscano)

Version 2.1.0
* added feature to extract lyrics from tags (id3v2 tag and Xiph Comment)
* added queue display in the "jump to track" dialog
* added feature to skip already existing tracks
* added volume change notification in the KDE notification plugin
* added XDG Base Directory Specification support
* replaced modplug plugin by xmp plugin
* improved qsui plugin:
  - added feature to hide playlist name filter
  - added feature to hide menu panel
  - added application menu
  - enabled clear button for some search filters
  - improved file system browser context menu
* improved history plugin:
  - added feature to remove tracks from history
  - added feature to show track details
* improved "about..." dialog
* improved file name filter configuration in the ffmpeg plugin
* increased the minimal required Qt version to 5.5
* optimized search for duplicated tracks
* optimized track queue
* resolved conflict between 1.x and 2.x versions
* updated Dutch translation (Heimen Stoffels)
* updated Ukrainian translation (Gennady Motsyo)
* updated Polish transition (Marek Adamski)
* updated Portuguese translation (Sérgio Marques)
* updated Finnish translation (Kimmo Kujansuu)
* updated Galician translation (Delio Docampo Cordeiro)
* updated Italian translation (Luigi Toscano)
* updated Russian translation (Andrei Stepanov)
* updated Korean translation (Jung Hee Lee)
* updated Spanish translation (Joel Barrios)

Version 2.0.4
* fixed drag-and-dropped tracks order
* fixed issue with empty content type
* disabled waveform seekbar for the tracks with unknown duration
* fixed taskbar plugin
* updated Ukrainian translation (Gennady Motsyo)

Version 2.0.3
* fixed build issues
* fixed transport plugins loading
* fixed volume bar draw in the double size mode
* fixed symlinks support
* fixed some issues in the two-panel file dialog
* removed KDE4 notifications support
* updated Turkish translation (abcmen)

Version 2.0.2
* fixed out-of-source build

Version 2.0.1
* fixed default settings in the ffmpeg plugin
* fixed build warnings
* fixed transition between http tracks
* improved qsui plugin:
  - fixed toolbar renaming
  - fixed Wayland support
  - fixed tab bar context menu
* enabled QtMultimedia support under Qt 6.2 or higher
* removed private API usage Qt 6.2 or higher
* updated Finnish translation (Kimmo Kujansuu, Jiri Grönroos)
* updated Galician translation (Delio Docampo Cordeiro)
* updated Italian translation (Luigi Toscano)

Version 2.0.0
* switched to Qt6
* added application startup optimization
* added Korean translation (Jung Hee Lee)
* enabled Matroska container by default in the ffmpeg plugin
* using libiconv for charset conversion
* removed mp3lyrics.org lyrics provider (service was closed)
* improved qsui plugin:
  - added waveform seekbar optimization (Linearithmik)
  - fixed waveform generation for 16-bit samples (Linearithmik)
* fixed plugin cache cleanup
* fixed build without mpg123
* fixed ladspa plugin regression (Linearithmik)
* disabled unsupported plugins: taskbar, qtmultimedia

Version 1.5.0
* added media library plugin (experimental)
* added PipeWire plugin (experimental)
* added built-in CUE editor
* added m4b support in the ffmpeg plugin
* added option to enable CRC checking in the mpeg plugin
* added ID3v1/ID3v2 charset detection using librcd library in the mpeg plugin
* added WebP format support for cover image
* added groups rebuilding after playlist updating
* added metadata formatter optimization
* added "%dir()" function in the metadata formatter
* added feature to integrate widgets to the main interface from plugins
* added feature to execute external command in the fileops plugin
* improved visualization synchronization
* improved lyrics plugin:
  - added widget mode
  - show text of the current playing song (in the widget mode only)
  - changed user interface
* improved qsui plugin:
  - added feature to add dock widgets from plugins
  - added feature to change tab bar position
  - added icons to the file system browser menu
  - added feature to place dock widgets in the multiple lines
  - removed "Actions" submenu, using "Tools" menu instead
* improved skinned plugin: 
  - added playlist color settings
  - moved "Show playlists" option to "Playlist" submenu
  - moved "group tracks" and "show header" options to "Playlist" submenu
* removed some deprecated API usage
* removed obsolete code
* changed minimal FFmpeg version to 3.4
* updated Portuguese translation (Sérgio Marques)
* updated Dutch translation (Heimen Stoffels)
* updated Polish translation (mrerexx)
* updated Galician translation (Delio Docampo Cordeiro)
* updated Spanish translation (Joel Barrios)
* updated Russian translation (Ilya Kotov)
* updated Ukrainian translation (Gennady Motsyo)
* updated French translation (Adrien Vigneron)
* updated Indonesian translation (Andika Triwidada)
* updated Greek translation (Dimitrios Glentadakis)
* updated Italian translation (Luigi Toscano)
* updated German translation (Ettore Atalan)
* updated Finnish translation (Jiri Grönroos, Kimmo Kujansuu)

Version 1.4.6
* added application startup optimization
* added X11 session checking in the notifier plugin
* fixed provider settings parsing in the lyrics plugin
* fixed equalizer form in the qsui plugin
* fixed build with the latest ffmpeg version
* updated Portuguese translation (Sérgio Marques)
* updated Italian translation (Luigi Toscano)
* updated French translation (Adrien Vigneron)

Version 1.4.5
* added TagLib 1.12 support
* disabled CRC checking in the mpeg plugin
* fixed playlist update
* fixed build with gcc 11
* fixed API documentation
* fixed skin search path
* fixed application icons

Version 1.4.4
* fixed crash when changing audio parameters
* fixed memory leak
* removed lyrics.wikia.com provider (service was closed)
* using plain text in the KDE tray tooltip
* updated Dutch translation (Heimen Stoffels)
* updated Galician translation (Delio Docampo Cordeiro)
* updated Spanish translation (Joel Barrios)
* updated Bulgarian translation (Miroslav Mihov)

Version 1.4.3
* fixed possible crash on general plugin restart
* fixed dithering
* fixed memory leak
* fixed ignored files checking
* fixed cue tracks support in the converter plugin
* fixed issue with missing disc number in the mpeg plugin
* fixed possible freezing on playback resume
* updated Finnish translation (Kimmo Kujansuu)
* updated Bulgarian translation (Miroslav Mihov)

Version 1.4.2
* fixed playlist updating
* fixed memory leak
* fixed kwin support
* fixed xing header parsing in the mpeg plugin
* updated Greek translation (Dimitrios Glentadakis)

Version 1.4.1
* fixed NetBSD build
* fixed 'jump to track' dialog delay
* fixed feature to disable formats in the ffmpeg plugin
* fixed some streams detection in the mpeg plugin
* fixed losing of equalizer settings
* fixed codec and bitrate displaying for IceCast streams
* fixed playback startup detection in the mpris plugin
* updated Russian translation
* updated Dutch translation (Heimen Stoffels)
* updated Galician translation (Delio Docampo Cordeiro)
* updated Polish translation (mrerexx)
* updated Portuguese translation (Sérgio Marques)
* updated Spanish translation (Joel Barrios)
* updated Turkish translation (abcmen)

Version 1.4.0
* added sleep mode inhibition plugin
* added separate ListenBrainz submission plugin
* added feature to auto-hide empty service menus
* added option to disable two passes for equalizer
* added fast mute function for most output plugins
* added shared CUE parser
* added feature to transit between playlists
* added optimizations for flac plugin
* added feature to select playlist format from the file dialog
* added '--pl-next' and '--pl-prev' command line options
* added SOCKS5 proxy support
* added feature to display average bitrate
* added average bitrate displaying for shoutcast/icecast streams
* added Ogg Opus support in the ReplayGain scanner
* added feature to merge different tag types in the mpeg plugin
* added feature to start command on application startup/exit
* added 'make docs' build target
* added big endian support formats in the PulseAudio plugin
* added feature to write singe file in the file writer plugin
* improved qsui plugin:
  - added feature to override track background color
  - added scope visualization
  - added feature to reset visualization colors
  - added waveform seek bar
  - added alternate analyzer appearance
  - using gradients between analyzer colors
  - improved status bar
* improved ffmpeg plugin:
  - added opus bitrate issue workaround
  - added new implementation of the read function
  - added embedded CUE sheet support (for Monkey's Audio format)
  - added format name displaying
  - added DSD (Direct Stream Digital) support
  - changed minimal ffmpeg version to 3.2
  - removed libav support
* improved lyrics plugin:
  - added feature to save window geometry
  - added multiple lyrics providers support (based on Ultimare Lyrics plugin)
* improved cdaudio plugin:
  - show more metadata
  - added KDE Solid integration
* improved remote playlists support
* improved m3u support
* using qsui by default for Wayland sessions
* fixed API documentation
* updated Portuguese translation (Sérgio Marques)
* updated Dutch translation (Heimen Stoffels)
* updated Polish translation (mrerexx)
* updated Galician translation (Delio Docampo Cordeiro)
* updated Spanish translation (Joel Barrios)
* updated Russian translation (Alexey Loginov)
* updated Ukrainian translation (Gennady Motsyo)
* updated French translation (Adrien Vigneron)
* updated Indonesian translation (Andika Triwidada)
* updated Greek translation (Dimitrios Glentadakis)
* updated Italian translation (Luigi Toscano)
* updated German translation (Ettore Atalan)

Version 1.3.7
* using gnudb.org as default CDDB server
* fixed several crashes in the file operations plugin
* fixed mpris support
* fixed text scroller issues in the skinned plugin
* fixed cmake warning
* updated Polish translation (mrerexx)

Version 1.3.6
* added 'album artist' and 'composer' tags support in the ffmpeg plugin
* fixed window title updating when playing CUE tracks
* fixed crash on Futura skin in the skinned ui
* updated French translation (Adrien Vigneron)
* updated Indonesian translation (Andika Triwidada and Wantoyo)

Version 1.3.5
* added icon for 'play/pause' action
* fixed 'album artist' tag support
* fixed issue with missing bitrate after application restart
* fixed issue with incorrect audio properties displaying
* fixed crash on corrupted .m4a files
* fixed duration overflow
* fixed playlist duration update
* fixed issue with special symbols in the track change plugin
* fixed crash on encrypted archives
* updated Galician translation (Delio Docampo Cordeiro)

Version 1.3.4
* improved mp3 file determination
* added format name in the ffmpeg plugin
* fixed pausing logic
* fixed random crash when changing audio settings
* fixed crash in the QtMultimedia plugin
* fixed build warning
* fixed duration formatting
* fixed ReplayGain support
* fixed memory leak
* fixed multiple channels support in the equalizer
* updated Ukrainian translation (Gennady Motsyo)
* updated Italian translation (Luigi Toscano)

Version 1.3.3
* added float output support for PulseAudio, ALSA and OSS4
* added AppStream information (Joel Barrios Dueñas)
* added more icon sizes
* improved channel conversion
* fixed feature to remove tracks when using quick search in the qsui plugin
* fixed crash on some corrupted archives
* fixed logo animation in the qsui plugin
* fixed freezing in the ffmpeg plugin
* updated Dutch translation (Heimen Stoffels)
* updated Greek translation (Dimitrios Glentadakis)

Version 1.3.2
* added feature to play track on double click in the history plugin
* enabled mpg123 decoder for Windows
* using album cover from file by default
* fixed lyrics plugin
* fixed API documentation
* fixed issue with read-only mode for FLAC files
* fixed issue with missing properties for some CUE tracks
* fixed shortcuts displaying in context menus under Qt 5.10 or higher
* fixed Qt 5.13 support
* fixed crash under Wayland session
* fixed freezing on some corrupted files in the ffmpeg plugin
* fixed crash on some streams in the ffmpeg plugin
* fixed file type determination by content in the mpeg plugin

Version 1.3.1
* added projectM 3.1 support
* added feature to determine plugin prefix via pkgconfig (Chris Spiegel)
* fixed current track text color in the qsui plugin
* fixed command line processing under Windows
* fixed AAC support
* fixed kwin.sh script (D1mon)
* updated Polish translation (mrerexx)
* updated Portuguese translation (Sérgio Marques)
* updated Finnish translation (Jiri Grönroos)
* updated Russian translation (Alexey Loginov)

Version 1.3.0
* added history plugin
* added mono to stereo converter
* added mpg123-based decoder
* added PulseAudio volume control
* added cover edition feature
* added playlist reading/writing optimization
* added TAK support
* added feature to send listened tracks to  ListenBrainz
* added sorting by time in the history plugin
* changed KDE notification plugin description
* improved skinned plugin:
  - added KWin rules
  - added feature to hide splitters
  - added alternate splitter colors
  - added ability to hold the first visible track while loading a playlist
* improved qsui plugin:
  - added feature to hide splitters
  - added feature to change splitter color
  - added ability to hold the first visible track while loading a playlist
* moved removable volumes to the "add" menu
* improved http plugin:
  - reduced number of memory allocations
  - limited maximum buffer size
* improved stream browser:
  - added feature to edit bookmark list
  - moved launch action from "tools" to "add" menu
* added track properties to the title formatting fields
* added feature to disable tag reading while loading a playlist file
* reduced number of locks
* improved command line support
* fixed "--pl-help", "--nowplaying-syntax" command line options processing
* fixed feature to disable engine
* fixed flac preset in the converter plugin
* fixed xfce support
* improved Windows support:
  - added support for progress indicator in the taskbar (taskbar plugin)
  - added removable device detecion (rdetect plugin)
  - added exclusive mode in the WASAPI plugin
* hid private symbols in the liqmmp and libqmmpui libraries
* changed plugin installation path
* resolved conflict between Qt4- and Qt5-based versions
* using GNUInstallDirs module for cmake build
* removed mpris1 support
* removed support for old versions of the following libraries:
  musepack, curl, alsa, sndlib, ffmpeg
* removed Windows XP support
* removed uninstall plugin
* replaced deprecated Qt classes: QDesktopWidget, QSignalMapper
* updated Russian translation (Alexey Loginov, Viktor Eruhin)
* updated Polish translation (mrerexx)
* updated Portuguese translation (Sérgio Marques)
* updated Ukrainian translation (Gennady Motsyo)
* updated Spanish translation (Joel Barrios)
* updated German translation (Ettore Atalan)
* updated Greek translation (Dimitrios Glentadakis)
* updated Galician translation (Delio Docampo Cordeiro)
* updated Indonesian translation (Wantoyo)
* updated Italian translation (Luigi Toscano)
* updated Finnish translation (Jiri Grönroos)
* updated Chinese Traditional translation (Cosmos Chen)

Version 1.2.6
* fixed OSS4 plugin build
* fixed 12, 20-bit integer and 32-bit float formats support in the 
  WavPack plugin
  
Version 1.2.5
* added icon for 'exit' action in the tray icon menu
* fixed drag-and-drop issue under Qt 5.12
* fixed issue with 8-bit audio in the ffmpeg plugin
* fixed latest mplayer output parsing
* fixed '--quit' command line option processing
* fixed issue with empty audio parameters

Version 1.2.4
* added equalizer optimization
* updated translation list
* improved PCM WAVE support
* fixed segmentation fault
* fixed tag reading in the archive plugin
* fixed seeking in the archive plugin
* fixed issue with multiscreen configuration
* updated Polish translation (mrerexx)
* updated Portuguese translation (Sérgio Marques)
* updated Spanish translation (Joel Barrios)
* updated Ukrainian translation (Gennady Motsyo)
* updated Russian translation

Version 1.2.3
* added qmmp 0.12/1.3 config compatibility
* disabling global shortcuts during configuration
* improved global hotkey plugin
* fixed some gcc warnings
* fixed metadata updating issue
* fixed build for windows
* fixed issue caused by sending same metadata several times in a row

Version 1.2.2
* fixed build with Qt 5.11
* fixed memory leaks

Version 1.2.1
* added ffmpeg 4.0 support
* added feature to change default user interface
* fixed playlists moving
* fixed openbox support
* fixed kwin support
* fixed mp3 detection
* fixed seeking by mouse wheel
* fixed build with Qt 5.11
* updated Ukrainian translation (Gennady Motsyo)
* updated Italian translation (Luigi Toscano)
* updated Spanish translation (Joel Barrios)

Version 1.2.0
* added archive reader plugin (requires TagLib 1.11 or higher)
* added file writer plugin
* added icecast output plugin
* added feature to disable notifications when another application is in 
  the full screen mode
* added cover tab to the track details dialog
* added '--volume-status' command-line option
* added '--mute-status' command-line option
* added feature to change user interface from command line
* added parent directory name to the title formatting fields
* added cache to the lyrics plugin
* added feature to clear window title when playback is finished
* added 'Raise' method implementation to the mpris plugin
* added mount point list to the file dialog
* improved plugin API
* improved cover cache
* improved visualization support
* improved aac plugin
* improved audio format determination in the ffmpeg plugin
* improved m3u, pls and xspf support
* improved DirectSound and WASAPI support
* improved sndfile plugin
* improved mpeg plugin:
  - added lame header support
  - added gapless support
  - improved file type determination
* improved qsui plugin:
  - added quick search to the file system browser
  - added quick search to the playlist
  - added feature to change toolbar icon size
  - added record button
  - added cover image alignment
  - reduced memory usage
  - improved settings
* fixed memory leaks
* added Finnish translation (Jiri Grönroos)
* updated Brazilian Portuguese translation (Vitor Pereira)
* updated Chezh translation (Jaroslav Lichtblau)
* updated Chinese Simplified translation (Mingcong Bai)
* updated French translation (Adrien Vigneron and Sébastien Aperghis-Tramoni)
* updated Galician translation (Delio Docampo Cordeiro)
* updated German translation (Ettore Atalan)
* updated Greek translation (Dimitrios Glentadakis)
* updated Indonesian translation (Wantoyo)
* updated Polish translation (Daniel Krawczyk)
* updated Portuguese translation (Sérgio Marques)
* updated Russian translation (Alexey Loginov)
* updated Spanish translation (Joel Barrios and Bohdan Shuba)
* updated Japanese translation (RyoTa SimaMoto)
* updated Ukrainian translation (Gennady Motsyo)

Version 1.1.12
* fixed IPC regression

Version 1.1.11
* added AAC mime types to the qmmp.desktop
* added album artist support in the cue parsers
* using game name as album tag in the gme plugin (Chris Spiegel)
* fixed seeking in the mpris plugin
* fixed issue with untracked property in the mpris plugin
* fixed possible segmentation fault
* fixed cmake warnings
* fixed cmake 3.10 support
* fixed file size calculation in the ffmpeg plugin
* fixed possible segmentation fault in the ffmpeg plugin
* fixed saving of the equalizer 'auto' mode option
* fixed control socket permissions (Andrey A. Rys)
* fixed rusxmms support
* updated Spanish translation (Joel Barrios)
* updated Portuguese translation (Sérgio Marques)
* updated Greek translation (Dimitrios Glentadakis)

Version 1.1.10
* added feature to download playlist from https
* increased DirectSound buffer size
* decreased waiting time in the WASAPI plugin
* improved plugin list in the settings dialog
* fixed regression in the 'jump to track' dialog
* fixed possible segmentation fault
* fixed seeking in the ffmpeg plugin
* fixed null pointer dereference in the mpeg plugin
* fixed gcc warnings
* fixed dithering settings
* fixed 24 bits support in the WASAPI plugin
* fixed segmentation fault on Ogg FLAC streams
* fixed XPM skins support
* fixed Qt 5.9 support in the global hotkey plugin
* updated documentation
* updated Galician translation (Delio Docampo Cordeiro)

Version 1.1.9
* using relative skin path for portable configuration
* improved WASAPI support
* fixed cursors support in the skinned user interface
* fixed freezing when using DirectSound output
* fixed documentation
* fixed issue with 'jump to track' dialog when single click activation is enabled
* fixed tray icon tooltip
* fixed FLAC bitrate calculation
* fixed segmentation fault in the ffmpeg plugin
* fixed Russian translation
* updated French translation (Adrien Vigneron)

Version 1.1.8
* fixed PCM Wave support
* fixed Game Boy support in the gme plugin
* fixed Xing header detection in the mpeg plugin
* fixed output of the '--status' command line option
* fixed maximum year in the tag editor

Version 1.1.7
* improved stream format determination in the ffmpeg plugin
* fixed GCC 6.x support
* fixed possible segmentation fault
* fixed crash when using KDE file dialog
* fixed saving state of the visual plugins
* updated Brazilian Portuguese translation (Vítor Pereira Barros)

Version 1.1.6
* using http header 'icy-name' as fallback title
* enabled AAC by default in the ffmpeg plugin
* fixed ADTS parser in the aac plugin
* fixed possible segmentation fault
* fixed Ogg Opus streams support
* updated Chinese Simplified translation (Mingcong Bai)

Version 1.1.5
* added ffmpeg 3.2 support
* fixed file downloading issue in the http plugin
* fixed directory selection in the qsui plugin
* fixed possible segmentation fault
* fixed command line option '--pl-repeat-toggle'
* fixed some cppcheck warnings
* changed file dialog form

Version 1.1.4
* fixed support of skins UTF-16 with encoded pledit.txt
* fixed 'index out of range' warning
* fixed typo in the qsui plugin

Version 1.1.3
* added xesam:contentCreated field in the mpris plugin
* improved ape/tta detection
* fixed random stop bug
* fixed duration calculation in the mpeg plugin
* fixed scrobbling of tracks with '&' symbol
* fixed ADTS parser in the aac plugin
* fixed librcc database path in the portable mode
* updated Brazilian Portuguese translation (Vitor Pereira)
* updated German translation (Ettore Atalan)

Version 1.1.2
* fixed path to equalizer presets file in the qsui plugin (Ryota Shimamoto)
* fixed buffer overflow

Version 1.1.1
* added ffmpeg 3.1 support
* added portable mode for Windows
* fixed qt5.7 support
* fixed Russian translation
* updated Ukrainian translation (Gennadi Motsyo)
* updated Portuguese translation (Sérgio Marques)

Version 1.1.0
* using floating point pcm format for all lossy decoders
* using floating point pcm format for all audio effects
* added new internal audio converter
* added dithering setting
* added feature to change output bit depth
* added feature to change volume adjustment step
* added soxr-based resampler plugin
* added MacOS X support (Ivan Ponomarev)
* added Qt Multimedia output plugin (Ivan Ponomarev)
* added feature to refresh playlist
* added two-panel file dialog
* added feature to scrobble http streams
* added multi-thread support in the audio converter plugin
* added support for m4a files in the ReplayGain scanner
* added WASAPI output plugin
* added https support in the http plugin
* added wildmidi 0.4.0 support
* added support for XMIDI and MUS (id Software) formats
* improved skinned interface:
  - show track details when double-clicking on song title in the main window (Thomas Perl)
  - improved time indicator in the shaded mode (Thomas Perl)
  - added feature to disable anti-aliasing
  - added feature to seek by mouse wheel
  - added column alignment option
* improved simple user interface (qsui):
  - added column alignment option
  - added feature to add/remove sliders
  - added feature to create multiple panels
  - added tooltips for the sliders
  - improved volume slider
  - fixed problem with minimum width
* improved wavpack plugin:
  - added some optimizations
  - fixed memory leak
* improved ffmpeg plugin:
  - added support for m4a embedded album art
  - added replaygain support
* improved ladspa plugin
* improved command line parser
* improved details dialog
* improved "jump to track" dialog
* improved DirectSound output plugin (24/32-bit and multi-channel support)
* removed libsamplerate-based resampler
* removed libsamplerate dependency from the jack plugin (using soxr instead)
* changed default settings in the mpeg plugin
* fixed metadata encoding issue in the http plugin
* fixed unicode support under windows
* fixed unity/compiz support
* fixed disc number parsing
* updated Bulgarian translation (Kiril Kirilov)
* updated Chinese Traditional translation (Jeff Huang)
* updated Chinese Simplified translation (Mingcong Bai, Mingye Wang, mabier)
* updated French translation (Adrien Vigneron and Sébastien Aperghis-Tramoni)
* updated German translation (Ettore Atalan)
* updated Greek translation (Dimitrios Glentadakis)
* updated Hebrew translation (Genghis Khan)
* updated Japanese translation (RyoTa SimaMoto)
* updated Portuguese translation (Sérgio Marques)
* updated Russian translation
* updated Ukrainian translation (Gennadi Motsyo)

Version 1.0.10
* improved sid plugin:
  - added c64 file extension
  - fixed default HVSC path
* updated Japanese translation (RyoTa SimaMoto)

Version 1.0.9
* fixed taglib-1.9 support

Version 1.0.8
* fixed session check in the scrobbler plugin
* fixed working with both libre.fm and last.fm
* fixed cell height in the stream browser
* fixed unicode support under windows
* fixed problem with file access under windows
* removed borders from statusbar in the qsui plugin

Version 1.0.7
* added ffmpeg 3.0 support
* added support for theme change event in the qsui plugin
* fixed sendig multiple play commands when opening several files for playback
* fixed memory leaks
* fixed qt5.6 support

Version 1.0.6
* added feature to change default output plugin
* added feature to skip unsupported files in the rgscan plugin
* fixed gme plugin build
* fixed gcc warnings
* fixed Russian translation
* updated Portuguese translation (Sérgio Marques)
* updated Chinese Simplified translation (Mingye Wang)

Version 1.0.5
* added gnome shell support
* fixed url dialog size
* fixed memory leak in the qsui plugin
* fixed ladspa plugin
* fixed cpu usage in the vorbis plugins
* fixed utf-8 support in the scrobbler plugin
* fixed Greek translation (Dimitrios Glentadakis)
* updated French translation (Adrien Vigneron)

Version 1.0.4
* fixed skinned ui build

Version 1.0.3
* added error handling in the mplayer plugin
* fixed problem with some covers embedded in the mp3 files
* fixed some skins support
* fixed issue with equalizer not saving low levels in the qsui plugin
* fixed gcc warnings
* fixed build without Qt X11 Extras
* fixed Cinnamon and MATE support
* updated Chinese Simplified translation (mabier)

Version 1.0.2
* fixed problem with tray icon menu (see QTBUG-48869, patch by equeim)
* fixed geometry saving in the skinned UI
* fixed segmentation fault in the ReplayGain scanner
* fixed hide on close feature
* fixed some skins parsing
* fixed Dutch translation (Rhythmdrill)

Version 1.0.1
* added XFCE icon theme support
* added Marco WM support
* added test for supported OpenGL implementation while using cmake
* improved command line parser
* fixed crash in the mplayer engine
* fixed time indicator in the qsui plugin
* fixed truncated output of the '--pl-dump' command
* fixed track indexes calculation

Version 1.0.0
* switch to Qt5
* removed ffmpeg_legacy plugin
* removed legacy udisks plugin
* removed support of taglib versions less than 1.8
* fixed 16-bit converter
* fixed Russian translation
* optimized equalizer
* optimized flac and wavpack plugins
* improved skinned ui in the shaded mode:
  - improved time indicator (Thomas Perl)
  - fixed playlist colors
* fixed clicks while playing some mp3 files
* fixed memory leak in the wavpack plugin
* fixed effects and decoders sorting
* fixed possible race condition
* updated Greek translation (Dimitrios Glentadakis)

Version 0.9.0
* added audio-channel sequence converter
* added 9 channels support to equalizer
* added album artist tag support (Dmitry Misharov)
* added asynchronous sorting
* added sorting by file modification date
* added sorting by album artist
* added multiple column support
* added feature to hide track length
* added feature to disable plugins without qmmp.pri modification (qmake only)
* added feature to remember playlist scroll position
* added feature to exclude cue data files
* added feature to change user agent
* added feature to change window title
* added feature to reset fonts
* added feature to restore default shortcuts
* added default hotkey for the "Rename List" action
* added feature to disable fadeout in the gme plugin
* added Simple User Interface (QSUI) with the following changes:
  - added multiple column support
  - added sorting by album artist
  - added sorting by file modification date
  - added feature to hide song length
  - added default hotkey for the "Rename List" action
  - added "Save List" action to the tab menu
  - added feature to reset fonts
  - added feature to reset shortcuts
  - improved status bar
* optimized playlist container
* optimized sample rate converter
* improved cmake build scripts (RyoTa SimaMoto)
* improved playlist changes notification
* improved title formatter
* improved ape tags support in the mpeg plugin
* improved fileops plugin:
  - added feature to move files
  - reworked settings dialog
* increased details dialog size
* reduced cpu usage (Hon Jen Yee)
* changed default skin to Glare (author: sixsixfive)
* changed default playlist separator
* using DirectSound output as default under Windows
* updated Russian translation
* updated Czech translation (Jaroslav Lichtblau)
* updated Hebrew translation (Genghis Khan)
* updated German translation (Ettore Atalan)
* updated Portuguese translation (Sérgio Marques)
* updated Ukrainian translation (Gennadi Motsyo)
* updated French translation (Sébastien Aperghis-Tramoni)
* updated Polish translation (Daniel Krawczyk)
* updated Greek translation (Dimitrios Glentadakis)
* updated Japanese translation (RyoTa SimaMoto)

Version 0.8.8
* fixed crash when quitting while playlist is being populated
* fixed some skins support
* fixed documentation
* fixed cmake support

Version 0.8.7
* fixed opus plugin
* fixed typos

Version 0.8.6
* added *.med files support (Ville Skyttä)
* added s3m, stm and xm extensions to desktop files (Ville Skyttä)
* updated Japanese translation (RyoTa SimaMoto)
* improved global hotkey settings
* fixed main window activation
* fixed minimizing throw taskbar under windows
* fixed some skins parsing
* fixed config directory path
* fixed text scroller colors
* fixed home page
* fixed details dialog form
* fixed documentation
* fixed support of keyboards with single play/pause button

Version 0.8.5
* added user data directory support
* increased player thread priority under windows
* fixed playlist resizing on RTL locales
* fixed vorbis comment support
* fixed build using qmake
* fixed cover disappearing bug
* fixed windows executable file description
* fixed settings form
* fixed problem with path separators under windows
* fixed libre.fm support
* fixed some skin parsing
* fixed support of some skins
* fixed modplug plugin settings

Version 0.8.4
* added icons for some actions
* fixed multiple connections to same signal when switching playlists
* fixed api documentation
* fixed playlist selector drawing bug
* fixed Portuguese translation (Sérgio Marques)
* fixed Hebrew translation (Genghis Khan)
* updated Turkish translation (Uğur KUYU)

Version 0.8.3
* reduced time of the 'Randomize List' and "Remove Duplicates" operations
* fixed ffmpeg 2.5 support
* fixed 24/32 bit modes in the equalizer
* fixed skin parsing
* fixed autoplay when playlist was opened from command line
* updated Portuguese translation (Sérgio Marques)
* updated Czech translation (Jaroslav Lichtblau)

Version 0.8.2
* added Portuguese translation (Sérgio Marques)
* added transifex integration
* added webm support
* improved image scaling quality
* fixed xspf parsing
* fixed cover loading sequence
* fixed main window activation under windows
* fixed analyzer color settings
* fixed typos (Matteo Cypriani)
* fixed possible segmentation fault in the opus plugin
* fixed separator of the file filters
* reduced tag reading delay (requires TagLib 1.8 or higher)
* updated Russian translation
* updated Ukrainian translation (Gennadi Motsyo)
* updated Japanese translation (RyōTa SimaMoto)

Version 0.8.1
* added rusxmms patch autodetection for all supported platforms
* added application information to the windows executable
* fixed --pl-dump/--pl-play command line options
* fixed regressions in the mpris 1.0 support
* fixed selection behaviour in the playlist when using keyboard
* fixed disc number disappearing when using flac with embedded cue
* fixed main window activation
* fixed segmentation fault when moving track in the group mode
* fixed not working 'exit' action when option 'hide on close' is enabled
* fixed freezing in the alsa plugin
* fixed m4a support
* fixed clearing a key combination in the hotkey plugin
* removed duplicate extensions from the file association page

Version 0.8.0
* added sid plugin
* added ReplayGain scanner
* added gnome hotkey plugin
* added DirectSound plugin
* added track grouping view
* added sorting by group
* added quick search to the playlist browser
* added multiple tracks support to the details dialog
* added context menu to the plugin settings page
* added lazy plugin loading
* added feature to disable transport plugins
* added data waiting condition for transport plugins
* added floating point output for lossy decoders
* added peak overflow support for lossy decoders
* added support for id3v2-based ReplayGain tags
* added clipping prevention using ReplayGain information
* added delayed initialization in the wildmidi plugin
* added volume control hotkeys
* added 'mute' global hotkey
* added '--toggle-mute' command line option
* added '--show-mw' command line option
* added ogg opus preset to the converter plugin
* added scrobbler 2.0 api for libre.fm
* added context menu in the window of the analyzer plugin
* added window flags access from visual plugin api
* added atomic playlist saving operation
* added created playlist auto-selection
* added feature to not clear previous playlist when opening new one
* added mplayer command line options setting
* added Serbian translation (Mladen Pejaković)
* blocked one hotkey assignment for several commands in the hotkey plugin
* limited cover cache size
* improved 'jump to track' dialog
* improved projectm plugin:
  - added context menu
  - added multi-channel mode
  - added list of presets
  - added win32 support
* improved win32 support
  - enabled support for the enca library
  - added feature to add files from multiple instances
  - added file associations support (based on SMPlayer implementation)
  - added uninstall support
* fixed noise on buffer underrun
* fixed title format in the shaded mode
* fixed alt-f4 behavior
* fixed possible race condition
* fixed possible segmentation fault in the mad plugin
* fixed 'eject' button function
* fixed raise of the main window when starting another instance
* fixed default skin
* updated Russian translation
* updated Hebrew translation (Genghis Khan)
* updated Ukrainian translation (Gennadi Motsyo)
* updated Serbian translation (Mladen Pejaković)
* updated Polish translation (Grzegorz Gibas)
* updated Lithuanian translation (Algirdas Butkus)

Version 0.7.7
* fixed typos
* fixed Polish locale support
* removed 'OnlyShowIn' key from qmmp.desktop
* removed useless files

Version 0.7.6
* added libav 10 and ffmpeg 2.2 support
* fixed url parsing
* fixed freezing on playback resume
* fixed random freezing in the mplayer plugin
* fixed reset selection of tracks when calling context menu
* fixed multimedia keys support under win32

Version 0.7.5
* fixed case sensitivity while checking file extensions (tnanks to Ryota Shimamoto)
* fixed special global keys support under the win32 platform
* fixed latest cmake support
* fixed initial position of the equalizer volume slider
* fixed clang warnings

Version 0.7.4
* added Galician translation (Óscar Pereira)
* added ffmpeg 2.1 support
* added m3u8 playlist extension
* improved ReplayGain support:
  - fixed 24/32 bit mode
  - added clipping to prevent overflow
* improved cdaudio plugin:
  - added Windows support
  - added track cache
  - fixed proxy support
* fixed localization of the wildmidi plugin
* fixed case sensitivity while checking file extensions
* fixed gcc 4.8 warnings
* fixed memory leak
* fixed several Windows-only bugs:
  - fixed parsing of the m3u files with backslashes
  - fixed problem with absolute paths
  - fixed adding files from command line under Windows
  - fixed Meta/Win modifier in the global hotkey plugin
* fixed Japanese translation (RyōTa SimaMoto)

Version 0.7.3
* added window size and position saving to the projectm plugin
* disabled unsupported settings in the statusicon plugin under Windows
* fixed warnings about invalid parent thread
* fixed race condition
* fixed ReplayGain support in the flac plugin
* fixed parsing of the track/disc number with separator
* fixed tooltip in the status icon plugin under Windows
* fixed 'show tooltip' option in the status icon plugin
* removed unused variables

Version 0.7.2
* fixed queue update bug
* fixed track length formatting
* fixed api documentation
* fixed gcc warnings
* fixed memory leaks
* fixed wildmidi config path
* fixed playlist autosave feature
* fixed possible segmentation fault
* fixed title format update bug
* removed unimplemented function

Version 0.7.1
* improved jack plugin (24/32-bit samples and freebsd support)
* excluded mime types of disabled plugins in the mpris interface
* fixed windows support in the gme plugin
* fixed shortcut editor dialog
* fixed api documentation
* fixed parsing of the icy packet size
* fixed possible freezes
* fixed Spanish translation (thanks to Gustavo Alvarez)
* fixed and improved qmake support (Ryota Shimamoto)
* fixed pkg-config support
* fixed several ui bugs
* fixed scrobbler regressions

Version 0.7.0
* added udisks2 plugin
* added opus plugin
* added track change plugin
* added tracks copy/paste plugin
* added x-content/audio-cdda content type
* added 24/32-bit equalizer
* added unity integration
* added user interface language option
* added playlists auto-save feature (Ferdinand Vesely)
* added unified URL dialog
* added playlists downloading support to the command line parser
* added winapi support to the hotkey plugin
* added volume control support to the waveout plugin
* added wildmidi configuration file auto-search
* added sorting by file creation date
* added libavutil version output to the ffmpeg plugin
* added automatic 16-bit audio converter
* added pause handling to the scrobbler plugin (Ferdinand Vesely)
* enabled UTF-8 by default for cue files and shoutcast metadata
* enabled more formats by default in the ffmpeg plugin
* improved some plugins api
* improved analyzer plugin (variable size, fullscreen mode, etc)
* improved last.fm registration
* improved configuration dialog
* removed QtXML dependence from the scrobbler plugin
* disabled udisks plugin by default
* moved ffmpeg 0.6-0.8 support to separate plugin
* updated Ukrainian translation (Gennadi Motsyo)
* updated Russian translation
* updated Polish translation (Grzegorz Gibas)
* updated Japanese translation (Ryota Shimamoto)
* updated Hebrew translation (Genghis Khan)
* updated Chezh translation (Karel Volny)

Version 0.6.8
* fixed bugs in the mpris plugin
* fixed segmentation fault when running without output plugins
* updated Japanese translation (Ryota Shimamoto)

Version 0.6.7
* added lubuntu integration
* improved rtl locales support
* fixed latest paranoia support
* fixed libav 0.8.x support
* fixed 'enter' hotkey in the playlist browser
* fixed 24-bit mode support in the src plugin
* fixed compiler warnings

Version 0.6.6
* added support for http redirect to the url dialog
* added ffmpeg 1.1 support
* fixed 24/32-bit mode support in the src plugin
* fixed seeking when using oss4 as output
* fixed streaming support in the ffmpeg plugin
* fixed build without qt3support headers (thanks to Dmitry Smolin)
* fixed playlist titlebar cursor
* fixed mpris2 support
* fixed typos
* updated Hebrew translation (Genghis Khan)

Version 0.6.5
* added latest psi/psi+ support
* added Hebrew translation (Genghis Khan)
* increased default mms/http buffer size
* fixed shortcut dialogs
* fixed segmentation fault caused by http transport
* fixed file type determination by content
* fixed division line position in the playlist
* fixed some bugs in the WaveOut plugin
* updated Japanese translation (Ryota Shimamoto)
* updated Russian translation
* updated flac mime-type (Christian Morales Vega)

Version 0.6.4
* using UTF-8 encoding for shoutcast metadata by default
* fixed visualization menu update after changing settings
* fixed skinned user interface settings
* fixed analyzer falloff speeds
* fixed skinned user interface visualization switching
* fixed playlist titlebar resize bug
* fixed color selection widget
* fixed possible crash in the transport plugins
* fixed Russian translation
* updated Japanese translation (Ryota Shimamoto)

Version 0.6.3
* fixed typo in the about dialog
* fixed FSF address
* fixed cmake scripts
* fixed filters of the directory scanner
* fixed crash in the playlist popup message
* updated Lithuanian translation (Algirdas Butkus)

Version 0.6.2
* fixed crash in the http plugin (Franz Fellner)
* fixed possible crash in the cue parser

Version 0.6.1
* added icons to the file dialog buttons
* fixed icecast streams titles
* fixed build
* fixed default output under windows
* fixed api documentation
* fixed possible segmentation fault in the cue plugin
* fixed cue parsing
* fixed automatic charset detection
* fixed Ukrainian translation (Gennadi Motsyo)
* fixed Russian translation

Version 0.6.0
* added converter plugin
* added stream browser plugin
* added file type determination by content (experimental)
* added '--quit' command line option
* added text scroller background option
* added playlists separator option
* added multiband equalizer api
* added equalizer presets from Amarok (Thanks to Panagiotis Papadopoulos)
* added playlits access from command line
* added dithering to MPEG plugin
* added priority support to decoder api
* added user interface api
* added default destination and file name pattern to fileops plugin
* added additional directory filters
* added feature to add files from command line to specific playlist
* added pkg-config support
* added vqf support
* added feature to display shoutcast stream information
* added 'jump to track' and 'forward/rewind' global hotkeys
* added 'New Playlist' button
* added sorting by disc number (Brice Videau)
* added feature to use clipboard content in the URL dialog (Panagiotis Papadopoulos)
* added scrobbler cache synchronization after successful submission (Ferdinand Vesely)
* changed playlist insertion behavior
* disabled OSS3 plugin by default
* improved cue plugin
* moved skinned ui to separate plugin
* fixed 'hide on close' feature
* fixed moc warnings during compilation
* fixed IPC under windows
* fixed windows-specific bugs
* fixed problems with some asynchronous calls
* fixed qmmp_cue.desktop
* fixed saving playlists on logout
* updated about dialog
* updated Russian translation
* updated Ukrainian translation (Gennadi Motsyo)
* updated Japanese translation (Ryota Shimamoto)
* updated Polish translation (Grzegorz Gibas)
* updated German translation (Panagiotis Papadopoulos)
* updated Dutch translation (Ronald Uitermark)

Version 0.5.6
* added ffmpeg 0.11 support
* fixed freebsd build

Version 0.5.5
* added latest libcdio support (Leon Merten Lohse)
* enabled oss4 plugin by default
* fixed Russian translation
* fixed acc streams support
* fixed aac bitrate calculation
* fixed scrobbler failure when using Qt 4.8 (Cristian Rodríguez)
* fixed oss support under freebsd
* fixed some cuesheets parsing
* fixed --pause command line option behavior (Jared Breland)
* updated Japanese translation (Ryota Shimamoto)

Version 0.5.4
* added ffmpeg 0.10 support
* added 'disc number' tag support for flac files with embedded cuesheet (Brice Videau)
* fixed build (Karel Volný)
* fixed sorting bugs (Brice Videau)
* fixed drag-and-drop feature
* fixed playlists scrolling
* fixed memory leak

Version 0.5.3
* added Sony Media Wave 64 (W64) support
* added ffmpeg 0.9.1 support
* fixed jack 1.9.6 support
* fixed http plugin freeze
* fixed displaying ape bitrate
* fixed bugs in the text scroller
* fixed oss4 volume control
* fixed segmentation fault when 'repeat track' is enabled
* fixed text scroller default font
* fixed segmentation fault when delete invalid tracks
* fixed duplicates removal
* removed taglib dependency from gme plugin
* updated Japanese translation (Ryota Shimamoto)

Version 0.5.2
* added feature to reset equalizer slider on middle click (Panagiotis Papadopoulos)
* added recent Psi+ notification support
* added Slovak translation (Ján Ďanovský)
* added EAC3, DTS, and Dolby TrueHD support (Makis Kalofolias)
* added automatic removal of spaces from the URL
* added mms metadata support
* improved playlist selector
* improved docking windows behaviour
* fixed mouse cursor change bug
* fixed multi-selection bug
* fixed cmake build scripts
* fixed Alt-mouse moving bug
* fixed mms delays
* fixed pulseaudio support
* fixed jack support
* fixed text scroller title format

Version 0.5.1
* added latest ffmpeg support
* added ac3 support
* added possibility to switch normal/shaded mode by double click (Panagiotis Papadopoulos)
* decreased startup delay
* fixed visualization bug
* fixed scrobbler plugin
* fixed build scripts
* fixed signals synchronization
* fixed mplayer support
* fixed segmentation fault in the alsa settings dialog
* fixed broken mpris2
* fixed windows overlapping at left side of screen (Artur Guzik)
* fixed frozen while cycling through deleted files in playlist
* fixed status icon bugs (Artur Guzik)
* fixed skinned button bug
* fixed metacity support
* removed internal api usage from gme plugin
* updated Chinese Traditional translation (lon)
* updated Chinese Simplified translation (lon)
* updated German translation (Panagiotis Papadopoulos)

Version 0.5.0
* added extra stereo plugin
* added udisks plugin
* added midi support
* added chiptune formats support
* added crossfade effect (experimental)
* added mpris 2.0 support
* added scrobbling 2.0 protocol support
* added xdg icons support
* added tint2/lxpanel support
* added wm autodetection
* added lxde integration
* added possibility to center balance on middle-click
* added --status and --nowplaying command line options
* added possibility to move tabs
* added possibility to copy tracks between  playlists (Avihay Baratz)
* added 'show on all desktops' option
* added 96 kHz samplerate support to equalizer
* added icons for udisks/hal devices
* added button to the details dialog, that opens up the directory of that file (thanks to Panagiotis Papadopoulos)
* added audio buffer size option
* added 'show playlist' and 'show equalizer' hotkeys
* added shortcut editor
* added 'stop after current song' and 'no playlist advance' features (Avihay Baratz)
* added song numbers alignment
* reduced seeking delay
* reduced equalizer delay
* reworked main menu
* improved cue plugin (Evgeny Gleyzerman)
* improved audio effects implementation
* improved playlist mapping
* improved text scroller
* moved OSS4 support to separate plugin
* fixed playlist behavior (Avihay Baratz)
* fixed problems with large fonts in playlist
* fixed problems with invalid URLs
* fixed window WM_CLASS/WM_ROLE properties
* fixed format detection by mime type
* updated Russian translation
* updated Ukrainian translation (Gennadi Motsyo)
* updated Polish translation (Grzegorz Gibas)
* updated Japanese translation (Ryota Shimamoto)
* updated German translation (Panagiotis Papadopoulos)
* updated Spanish translation (Félix Medrano)
* updated Lithuanian translation (Algirdas Butkus)

Version 0.4.5
* added support for read-only options to ladspa plugin
* fixed qmake build (Ryota Shimamoto)
* fixed headers list (Ryota Shimamoto)
* fixed typos
* fixed scrobbler plugin (Ferdinand Vesely)
* updated Japanese translation (Ryota Shimamoto)

Version 0.4.4
* added possibility to save cue tracks inside playlist files
* optimized ladspa plugin
* fixed random playback (Anton Petrusevich)
* fixed metacity support
* fixed windows titles
* fixed cue parsing
* fixed problem with glibc 2.13 (Michał Grosicki)
* switched to LyricWiki again
* updated Japanese translation (Ryota Shimamoto)
* updated Russian translation

Version 0.4.3
* added dvd autodetection
* added possibility to center balance on middle-click (Panagiotis Papadopoulos)
* fixed build (Christian Morales Vega)
* fixed problems with pidgin-musictracker
* fixed command line processing
* fixed skins list update
* fixed segmentation fault on video playback
* fixed bug with 'next' command processing
* fixed memory leak
* fixed vorbis comment saving
* fixed aac streams support
* fixed ape noise while seeking
* fixed Russian translation
* fixed crash when adding multiple directories simultaneously
* fixed add/remove effects problem

Version 0.4.2
* added Japanese translation (RyoTa SimaMoto)
* added Spanish translation (Félix Medrano)
* added offset support into mplayer plugin
* updated German translation (Panagiotis Papadopoulos)
* updated Polish translation (Grzegorz Gibas)
* fixed build scripts
* fixed shorten playback
* fixed freezes on corrupted files
* fixed problem with UDS under freebsd (RyoTa SimaMoto)
* fixed oss delays
* fixed possible freezes with mplayer plugin
* fixed problems with some video files
* fixed lyrics plugin (due api changes)
* fixed template parsing (Avihay Baratz)
* optimized tag editor form
* removed deprecated functions from jack plugin

Version 0.4.1
* added Dutch translation (Ronald Uitermark)
* added shorten audio format
* fixed flv playback
* fixed mplayer support
* fixed popup notifications
* fixed time format
* fixed possible segmentation fault
* fixed bug which causes equalizer to appear when closing the preferences window
* fixed notification template
* fixed mpris regression
* fixed url dialog
* fixed removable volumes detection
* fixed problem with metadata updating
* skip invalid files
* removed obsolete memalign function

Version 0.4.0
* sound core has been partially rewritten
* added transport plugin api
* added engine plugin api
* added template based tag formatting
* added templates support to notification plugin
* added cover support
* added unified details dialog
* added support for additional tags
* added bitmap text support (Erik Ölsar)
* added status icon popup message (Artur Guzik)
* added kde notifications plugin (Artur Guzik)
* added skinned cursors (Erik Ölsar)
* added double size mode
* added multiple playlists support
* added popup information
* added ladspa host plugin
* added ReplayGain support
* added aac streams support
* added cover manager plugin
* added 16-bit output
* added automatic charset detection (for cue and icy metadata)
* added null output plugin
* added cddb support
* added ogg flac support
* added option 'continue playback on startup'
* added option 'always on top'
* added seeking to command line
* added possibility to remove invalid or duplicate tracks from playlist
* added http plugin
* added mms plugin (experimental)
* added cover support to mpris plugin
* added scalable icons (Adria Arrufat and Quentin Denis)
* removed deprecated Qt classes
* removed http support from core
* improved cue support
* improved scrobbler plugin
* improved fileops plugin
* fixed gaps between cue tracks
* fixed ape seeking (thanks to Michail Zheludkov)
* updated Ukrainian translation (Gennadi Motsyo)
* updated Czech translation (Karel Volný)
* updated Russian translation
* updated Hungarian translation (Németh Gábor)
* updated Lithuanian translation (Algirdas Butkus)
* updated Polish translation (Grzegorz Gibas)

Version 0.3.4
* fixed build
* fixed bug in the global shortcut editor
* fixed 24-bit wavpack support
* fixed lyrics viewer
* fixed desktop file (Karel Volný)

Version 0.3.3
* added Hungarian translation (Németh Gábor)
* fixed kde dialog support (thanks to Sebastian Piping)
* fixed problems with some mp3 files
* fixed crash on m4a files
* fixed settings dialog
* fixed proxy support

Version 0.3.2
* added metacity compatibility
* added projectM 2.0 support
* added kde dialog support
* removed XFree86-Misc dependency
* fixed software volume control (added 8/32-bits support)
* fixed segfault with 6-channel files
* fixed cue parsing
* improved "jump to" dialog behaviour

Version 0.3.1
* added Home/End hotkeys
* added possibility to hide song numbers
* added cygwin support (yselkowitz AT gmail.com)
* added standard icons support to the status icon plugin
* added openbox compatibility option
* added possibility to load plugins from a different location (Holger Schurig)
* added mkv extension to mplayer plugin
* added volume control using global hotkeys
* added scrolling with mouse to text scroller (Erik Ölsar)
* added Qt 4.6 support
* fixed build on some systems (Pino Toskano)
* fixed problem with "buffering" message
* fixed sorting by name
* fixed cue parsing
* fixed displayed mpeg version
* fixed bug with missing comment in playlist
* fixed non-working global hotkeys with enabled caps-lock
* fixed keyboard lock by hotkey plugin
* fixed non-working equalizer when using Ogg Vorbis plugin
* fixed jack regression
* fixed data receiving from UDS
* fixed button focus behavior (Erik Ölsar)
* fixed problem with slow visualization
* fixed problems with some sound cards
* fixed locale detection
* fixed current track loss
* removed broken LyricWiki.org support, added lyricsplugin.com instead
* added Lithuanian translation (Algirdas Butkus)
* added Kazakh translation (Baurzhan Muftakhidinov)
* updated Chinese Traditional and Chinese Simplified translations (lon)
* updated Russian translation
* updated Turkish translation (Bilgesu Güngör)
* updated German translation (Panagiotis Papadopoulos)
* updated Ukrainian translation (Gennadi Motsyo)
* updated Italian translation (Gian Paolo Renello)
* updated Polish translation (Grzegorz Gibas)

Version 0.3.0
* new libqmmp and libqmmpui api
* added cue sheet support (experimental)
* added flac embedded cue support
* added wavpack embedded cue support (thanks to Dmitry Kostin)
* added aac plugin
* added cd audio plugin
* added mplayer plugin
* added more formats provided by ffmpeg library (including monkey's audio)
* added global hotkey support
* added mpris support
* added lyrics plugin (uses lyricwiki.org)
* added removable device support (with help of hal)
* added file operations plugin
* added projectm visual plugin
* added bs2b plugin (thanks to Sebastian Pipping)
* added partial mingw support
* added wave output plugin
* added api documentation
* added transparency settings
* added Italian translation (Gian Paolo Renello)
* removed dbus plugin
* improved status icon plugin: added volume control using mouse wheel
* improved scrobbler plugin: now-playing notification, libre.fm support, offline mode
* improved visualization support
* improved desktop integration
* improved notifier plugin: transparency settings and volume tracking
* improved playlist: added show protocol option
* optimized startup process
* fixed pulse audio plugin bug (24-bit support)
* fixed alsa buffer underrun
* fixed default font
* fixed gnome support
* fixed system language detection
* fixed a lot of noncritical bugs
* updated Ukrainian translation (Gennadi Motsyo)
* updated Russian translation
* updated German translation (Panagiotis Papadopoulos)
* updated Polish translation (Grzegorz Gibas)

Version 0.2.4
* fixed xspf parsing (thanks to Sebastian Pipping)
* fixed playlist downloading
* fixed url dialog bug
* some oss fxes
* musepack sv8 support
* fixed noise at beginning of some mp3 files
* overwriting equalizer presets with the same names

Version 0.2.3
* fixed out-of-source build (thanks to Funda Wang)
* added parallel build support (Funda Wang)
* added recent ffmpeg support
* fixed Russian translation
* added French translation (Stanislas Zeller)
* fixed audio port in the jack plugin (Adrian Knoth)
* fixed memory leak
* fixed playlist loading when using drag and drop and command line
* fixed crash on exit with enabled visualization
* fixed playlist file parsing
* fixed main visualization flickering
* fixed gcc-4.3 warnings
* fixed modplug build
* added enter hotkey support in the jump dialog
* fixed segmentation fault in the PulseAudio plugin
* added OSS4 support (Yuriy Zhuravlev)
* fixed notification bug
* fixed critical bug in the settings dialog
* removed duplicate --next command line option (Adrian Knoth)

Version 0.2.2
* fixed Ukrainian translation (Gennadi Motsyo)
* fixed Russian translation
* added Polish translation (Grzegorz Gibas)
* fixed build with qmake
* fixed compile warnings
* some jack fixes
* fixed UDS datagram encoding
* removed unused code
* fixed skin parsing

Version 0.2.1
* fixed desktop file (thanks to Eugene Lyubimkin)
* fixed build (thanks to Eugene Lyubimkin)
* fixed bugs in the file dialog
* fixed margins
* updated Chezh translation (Karel Volny)
* middle mouse button click on the tray icon works as the play/pause command
* fixed memory leak
* fixed skin parsing
* increased file dialog speed
* improved accuracy of the mp3 duration calculation
* added preamp support in the the modplug plugin

Version 0.2.0
* added url dialog (Vladimir Kuznetsov)
* added stream support
* added filedialog interface (Vladimir Kuznetsov)
* added OSS output plugin (Yuriy Zhuravlev)
* improved playlist (Vladimir Kuznetsov)
* added visual plugin support
* added analyzer plugin
* added shaded mode support
* added sndfile plugin
* added software volume control
* redesigned command line interface using UDS (Vladimir Kuznetsov)
* added command line plugins support (Vladimir Kuznetsov)
* added volume control plugin (Vladimir Kuznetsov)
* added APE tag support in the mpeg plugin
* added general plugin support
* added scrobbler plugin
* added d-bus plugin
* added tray plugin
* added notifier plugin
* improved skin reading
* added WavPack plugin
* added psi now playing notification support
* added Pulse Audio output plugin
* added sorting by track number
* added mp3 wave support
* added modplug plugin
* added new application icons (Andrey Andreev)
* added new default skin (Andrey Andreev)
* added effect plugin support
* added sample rate conversion plugin
* optimized alsa output
* added 24-bits support
* updated Ukrainian translation (Gennadi Motsyo)
* updated Russian translation
* updated Chinese Traditional translation (lon)
* updated Chinese Simplified translation (lon)
* updated German translation (Stefan Koelling)
* updated Czech translation (Karel Volný)

Version 0.1.6
* fixed desktop file
* fixed Russian translation
* added "$PREFIX/share/qmmp/skins" to skin search paths
* fixed skin parsing
* fixed possible GPL violation
* tar.bz2 skins support
* using ISO-8859-1 encoding for id3v1 tags by default
* fixed load playlists with double extensions
* added German translation (Stefan Koelling)
* improved settings dialog
* added localization for standard Qt dialogs
* show more debug information

Version 0.1.5
* updated Czech translation (Karel Volný)
* added Brazilian Portuguese translation (Klaos Lacerda and Bruno Gonçalves)
* fixed memory leak
* fixed build with Qt-4.2
* fixed file permissions
* faster seek speed while using alsa plugin as output
* changed playlist background color
* fixed freezing

Version 0.1.4
* redesigned command line interface (Vladimir Kuznetsov)
* added packed skin support
* xdg menu support (thanks to Gennadi Motsyo and Karel Volný)
* added custom library path
* added current song saving
* removed wrapper from installation
* added Czech translation (Karel Volný)
* added Chinese Traditional translation (lon)
* updated Chinese Simplified translation (lon)
* updated Turkish translation (Mustafa GUNAY)
* fixed Russian Translation
* updated icons
* fixed cmake scripts (Yuriy Zhuravlev)
* reduced wakeups number
* fixed interface freezing when sniping broken entries
* fixed skin parsing
* fixed segmentation fault when trying to show details dialog with invalid file path
* fixed codepage saving in the mpeg plugin
* fixed some bugs in the ffmpeg plugin
* added qt4.3-specific fixes
* fixed metadata disabling
* fixed freezing when seeking

Version 0.1.3.1
* fixed library install path when using qmake

Version 0.1.3
* added Chinese Simplified translation (lon)
* added Ukrainian translation (Gennadi Motsyo)
* added codings fix for command line (Vladimir Kuznetsov)
* fixed next song selection after deletion selected (Vladimir Kuznetsov)
* fixed zero duration bug in mpc, flac, vorbis plugins
* fixed some non-critical bugs in Ogg Vorbis plugin
* added Shift+N hotkey for all windows
* set using UTF-8 by default in mad plugin
* fixed Russian translation in the flac plugin
* added current song position navigation with Left/Right cursor buttons (Vladimir Kuznetsov)
* added main menu popup on main display (Vladimir Kuznetsov)
* added menu for left title button (Vladimir Kuznetsov)
* added custom library directory (for qmake only)

Version 0.1.2
* fixed "segmentation failed" in remaining time mode (Vladimir Kuznetsov)
* fixed "segmentation failed" when resume playback with empty playlist
* fixed settings saving in tray mode
* added hotkeys in playlist (Up, Down, Alt- and Shift- modifiers) (Vladimir Kuznetsov)
* added broken files skipping (Vladimir Kuznetsov)
* added Turkish translation (Mustafa GUNAY)
* added custom close action (Vladimir Kuznetsov)
* fixed and improved cmake scripts
* fixed "Delete" hotkey in Russian translation

Version 0.1.1
* fixed ffmpeg plugin build
* fixed playlist file types (Vladimir Kuznetsov)
* fixed zero duration bug in mad plugin
* fixed codepage in about dialog
* fixed bug in cmake build scripts, which cause conflict in translation resources

Version 0.1
* added jump to file dialog (Vladimir Kuznetsov)
* added about dialog (Vladimir Kuznetsov)
* added Russian translation
* added installation support
* added cmake support(experimental)
* added default skin
* improved settings dialog
* fixed "assertion failed" bug
* fixed hotkeys in playlist menu
* added English readme (Vladimir Kuznetsov)
* fixed showing bitrate over 999 kbps
* added Winamp EQF import
* added rest time show (Vladimir Kuznetsov)
* fixed time indicator blinking (Vladimir Kuznetsov)
* fixed "segmentation failed" with some buggy skins (Vladimir Kuznetsov)
* fixed parsing some skins

Version 0.0.6
* improved insertion (Vladimir Kuznetsov)
* added command line support (Vladimir Kuznetsov)
* added playlist loading by thread (Vladimir Kuznetsov)
* added equalizer preset support
* added ffmpeg support plugin for playing WMA files
* fixed bug in mad plugin, which cause program crash with invalid file paths
* fixed bug in Jack plugin, which cause program crash when Jack server is
  not running (Yuriy Zhuravlev)
* added pkgconfig support for building

Version 0.0.5
* added playlist indicators (Vladimir Kuznetsov)
* added playlist control buttons (Vladimir Kuznetsov)
* improved shuffle and repeat functions (Vladimir Kuznetsov)
* added support for m3u, pls, xspf playlists (Vladimir Kuznetsov)
* added region.txt file support
* added scroll control for equalizer bars
* added autosave of equalizer settings
* added Jack support plugin (Yuriy Zhuravlev)
* added Musepack support plugin
* fixed program crash with some skins
* fixed bug in balance control
* fixed bug in alsa plugin which cause crash in some soundcards (thanks to Vadim Kalinnikov)
* fixed bug in processing of double click on playlist

Version 0.0.4
* added shift insertion support (Vladimir Kuznetsov)
* added inserted songs moving (Vladimir Kuznetsov)
* added queue support (Vladimir Kuznetsov)
* added sort menu (Vladimir Kuznetsov)
* added shuffle and repeat functions (Vladimir Kuznetsov)
* improved playlist slider
* added volume and balance control
* fixed some bugs in mad plugin
* various improves in plugin system

Version 0.0.3
* added tray support (based on Pavel's Kirpichev's patch)
* added menu and hot keys support
* added directory $HOME/.qmmp/skins in skin search paths
* fixed UTF bug in FLAC plugin (previous correction doesn't fix bug)
* fixed UTF bug in Ogg Vorbis plugin (previous correction doesn't fix bug)
* fixed bug in playlist which can cause program crash
* add drag&drop support (thanks to Vladimir Kuznetsov)

Version 0.0.2
* fixed bug in FLAC plugin
* fixed fft.c: changed g_malloc() to malloc()
* fixed UTF bug in FLAC plugin
* fixed UTF bug in Ogg Vorbis plugin

Version 0.0.1
* first test release
